<div class="unit-details">
    <div class="unit-details-small-box regular-mat-form-field" [formGroup]="unitDetailsFormGroup" fxLayout="column">

        <div *ngIf="isTAD==true" fxLayout="row" fxLayout.lt-md="column"  class="second-header-filter" >

            <span><b>Agency Name: </b> <span>{{siteStatusHeader.AgencyName}}</span></span>
            <span><b>Site Name: </b> <span>{{siteStatusHeader.SiteName}} </span></span>
            <span><b>Site Address: </b> <span>{{siteStatusHeader.SiteAddress}}</span></span>
          
          </div>
        <div fxLayout="row" fxLayoutAlign="center center">
            <mat-icon color="primary">view_comfy</mat-icon>
            <span class="btn-text">Unit Roster [{{totalUnits}}/{{agunits}}]</span>
            <input type="hidden" formControlName="unitIdCtrl" [(ngModel)]="unitSelected.unitID" />
        </div>

        <div class="unit-edit-container">
            <div *ngIf="isTAD && tadValidationMsg !== ''" fxLayout="column" class="banner-outline">
                <span class="tad-validations" [innerHTML]="tadValidationMsg"></span>
            </div>
            <mat-card *ngIf="readonlymode !== true" fxLayout="column">
                <div fxLayout="row">
                    <div fxFlex="20">
                        <div fxFlex="30" class="unit-label" fxLayout="column">
                            <label class="required-label-color">Unit Name </label>
                        </div>

                        <div fxFlex="70" class="unit-field" fxLayout="column">
                            <mat-form-field appearance="outline">
                                <input matInput formControlName="unitNameCtrl" maxlength="50" [(ngModel)]="unitSelected.name" />
                            </mat-form-field>
                        </div>
                    </div>
                    <div fxFlex="50">
                        <div fxFlex="20" class="unit-label" fxLayout="column">
                            <label>Unit features </label>
                        </div>
                        <div fxFlex="40" class="unit-field" fxLayout="column">
                            <mat-form-field appearance="outline">
                                <mat-select formControlName="unitFeaturesCtrl" (selectionChange)="unitFeatureSelected($event)"
                                    multiple>
                                    <mat-option *ngFor="let feature of unitFeatures" [value]="feature.refGroupDetailID">{{feature.refGroupDetailDescription}}</mat-option>
                                </mat-select>
                            </mat-form-field>
                        </div>
                        <div fxFlex="40" fxLayout="column" class="unit-select-field">
                            <select size="5" formControlName="unitFeaturesListCtrl" fxFlex multiple>
                                <option *ngFor="let feature of unitSelected.unitFeatures" [value]="feature.f_Id">{{feature.f_desc}}</option>
                            </select>
                        </div>
                    </div>
                    <div fxFlex="30">
                        <div fxFlex="20" class="unit-label" fxLayout="column">
                            <label class="required-label-color">Primary Service Contract </label>
                        </div>
                        <div fxFlex="80" class="unit-field" fxLayout="column">
                            <mat-form-field appearance="outline">
                                <mat-select formControlName="primarySvcContractCtrl" (selectionChange)="refershdropdowns()"
                                    [(ngModel)]="unitSelected.siteAgreementPopulationSelected">
                                    <mat-option *ngFor="let serviceContract of primarySvcContractTypes" [value]="serviceContract.siteAgreementPopulationID">{{serviceContract.primaryServiceAgreementPopName}}</mat-option>
                                </mat-select>
                            </mat-form-field>
                        </div>
                    </div>
                </div>

                <div fxLayout="row">
                    <div fxFlex="20">
                        <div fxFlex="30" class="unit-label" fxLayout="column">
                            <label class="required-label-color">Contracting Agency</label>
                        </div>
                        <div fxFlex="70" class="unit-field" fxLayout="column">
                            <mat-form-field appearance="outline">
                                <mat-select formControlName="contractAgencyCtrl" (selectionChange)="refershdropdowns()"
                                    [(ngModel)]="unitSelected.contractAgencySelected">
                                    <mat-option *ngFor="let contractAgency of contractAgencyTypes" [value]="contractAgency.refGroupDetailID">{{contractAgency.refGroupDetailDescription}}</mat-option>
                                </mat-select>
                            </mat-form-field>

                        </div>
                    </div>

                    <div fxFlex="50">
                        <div fxFlex="20" class="unit-label" fxLayout="column">
                            <label>Rental Subsidies</label>
                        </div>
                        <div fxFlex="40" class="unit-field" fxLayout="column">
                            <mat-form-field appearance="outline">
                                <mat-select formControlName="rentalSubsidyCtrl" (selectionChange)="rentalSubsidySelected($event)"
                                    multiple>
                                    <mat-option *ngFor="let subsidy of rentalSubsidies" [value]="subsidy.refGroupDetailID">{{subsidy.refGroupDetailDescription}}</mat-option>
                                </mat-select>
                            </mat-form-field>
                        </div>
                        <div fxFlex="40" fxLayout="column" class="unit-select-field">
                            <select size="5" formControlName="rentalSubsidyListCtrl" fxFlex multiple>
                                <option *ngFor="let subsidy of unitSelected.rentalSubsidies" [value]="subsidy.sub_Id">{{subsidy.sub_desc}}</option>
                            </select>
                        </div>
                    </div>
           
                </div>
                <div fxLayout="row">
                    <div fxFlex="20">
                        <div fxFlex="30" class="unit-label" fxLayout="column">
                            <label class="required-label-color">Unit Status</label>
                        </div>
                        <div fxFlex="70" class="unit-field" fxLayout="column">
                            <mat-form-field appearance="outline">
                                <mat-select formControlName="unitStatusCtrl" [(ngModel)]="unitSelected.unitStatusSelected" (selectionChange)="filterunitofflinereaseon(unitSelected.contractAgencySelected)">  
                                    <mat-option *ngFor="let unitStatus of unitStatuses" [value]="unitStatus.refGroupDetailID">{{unitStatus.refGroupDetailDescription}}</mat-option>
                                </mat-select>
                            </mat-form-field>

                        </div>
                    </div>
                    <div fxFlex="5" class="unit-field" *ngIf="unitSelected.unitStatusSelected === 472">
                        <mat-icon matSuffix (click)="openCalender()" style="cursor:pointer; color:#777;">event
                        </mat-icon>
                    </div>
                    <div fxFlex="80" *ngIf="unitSelected.unitStatusSelected === 473">
                        <div fxFlex="20" class="unit-label" fxLayout="column">
                            <label class="required-label-color">Offline Reason</label>
                        </div>
                        <div fxFlex="20" class="unit-field" fxLayout="column">
                            <mat-form-field appearance="outline">
                                <mat-select formControlName="unitOfflineReasonCtrl" [(ngModel)]="unitSelected.offlineReasonType">
                                    <mat-option *ngFor="let unitOfflineReason of unitOfflineReasons" [value]="unitOfflineReason.unitOfflineReasonID">{{unitOfflineReason.unitOfflineReasonDescription}}</mat-option>
                                </mat-select>
                            </mat-form-field>

                        </div>
                        <div fxFlex="20" class="unit-label" fxLayout="column">
                            <label class="required-label-color">Expected Available Date</label>
                        </div>
                        <div fxFlex="20" class="unit-field" fxLayout="column">
                            <mat-form-field appearance="outline">
                                <input matInput [matDatepicker]="picker" placeholder="MM/DD/YYYY" [(ngModel)]="unitSelected.expectedAvailableDate"
                                    formControlName="unitExpectedAvailableDateCtrl">
                                <mat-icon matSuffix (click)="picker.open()" style="cursor:pointer; color:#777;">today
                                </mat-icon>
                                <mat-datepicker #picker></mat-datepicker>
                            </mat-form-field>

                        </div>
                        <div fxFlex="20" class="unit-label" fxLayout="column">
                            <label>Comments</label>
                        </div>
                        <div fxFlex="20" class="unit-field" fxLayout="column">
                            <mat-form-field appearance="outline">
                                <textarea matInput required maxlength="200" rows="4" class="txtuppercase"
                                    formControlName="unitaddlComment" [(ngModel)]="unitSelected.offlineOtherSpecify"
                                    maxlength="200" cdkTextareaAutosize cdkAutosizeMinRows="2" cdkAutosizeMaxRows="7"> > 
                                                                                        </textarea>
                            </mat-form-field>

                        </div>

                    </div>
                </div>
                <div fxLayout="row">
                    <div fxFlex="20">
                        <div fxFlex="30" class="unit-label" fxLayout="column">
                            <label class="required-label-color">Unit Type</label>
                        </div>
                        <div fxFlex="70" class="unit-field" fxLayout="column">
                            <mat-form-field appearance="outline">
                                <mat-select formControlName="unitTypeCtrl" [(ngModel)]="unitSelected.unitTypeSelected">
                                    <mat-option *ngFor="let unitType of unitTypes" [value]="unitType.refGroupDetailID">{{unitType.refGroupDetailDescription}}</mat-option>
                                </mat-select>
                            </mat-form-field>

                        </div>
                    </div>
                    <div fxFlex="60" *ngIf="is_CAS">
                        <div fxFlex="20" class="unit-label" fxLayout="column">
                            <label>Direct Referral</label>
                        </div>
                        <div fxFlex="20" class="unit-field" fxLayout="column">
                            <mat-checkbox formControlName="sideDoorCtrl" [(ngModel)]="unitSelected.isSideDoorAllowed"></mat-checkbox>

                        </div>
                        <div fxFlex="20" class="unit-label" fxLayout="column">
                            <label>Vacancy Monitor</label>
                        </div>
                        <div fxFlex="20" class="unit-field" fxLayout="column">
                            <mat-checkbox formControlName="vacancyMonitorCtrl" [(ngModel)]="unitSelected.isVacancyMonitorRequired"></mat-checkbox>
                        </div>
                    </div>


                </div>

                <div fxLayout="row" *ngIf="unitAddressVisible === true">
                    <div fxFlex="20">
                        <div fxFlex="30" class="unit-label" fxLayout="column">
                            <label>Unit Address</label>
                        </div>
                        <div fxFlex="70" class="unit-field" fxLayout="column">
                            <mat-form-field fxFlex="100" appearance="outline">
                                <input matInput formControlName="unitAddressCtrl" maxlength="200" [(ngModel)]="unitSelected.address" />
                            </mat-form-field>

                        </div>
                    </div>

                    <div fxFlex="20">
                        <div fxFlex="30" class="unit-label" fxLayout="column">
                            <label>City</label>
                        </div>
                        <div fxFlex="70" class="unit-field" fxLayout="column">
                            <mat-form-field fxFlex="100" appearance="outline">
                                <input matInput formControlName="unitCityCtrl" maxlength="50" [(ngModel)]="unitSelected.city" alphabetSpace />
                            </mat-form-field>

                        </div>
                    </div>
                    <div fxFlex="20">
                        <div fxFlex="30" class="unit-label" fxLayout="column">
                            <label>State</label>
                        </div>
                        <div fxFlex="70" class="unit-field" fxLayout="column">
                            <mat-form-field fxFlex="40" appearance="outline">
                                <input matInput formControlName="unitStateCtrl" maxlength="2" [(ngModel)]="unitSelected.state" alphabetOnly />
                            </mat-form-field>

                        </div>
                    </div>
                    <div fxFlex="20">
                        <div fxFlex="30" class="unit-label" fxLayout="column">
                            <label>Zip</label>
                        </div>
                        <div fxFlex="70" class="unit-field" fxLayout="column">
                            <mat-form-field fxFlex="50" appearance="outline">
                                <input matInput formControlName="unitZipCtrl" maxlength="5" digitOnly
                                    [(ngModel)]="unitSelected.zip" />
                            </mat-form-field>

                        </div>
                    </div>


                </div>
                <div fxLayout="row" fxLayoutAlign="center center" >
                        <div  fxFlex="100" fxLayout="row" fxLayoutAlign="center center"  fxLayoutGap="20px" >
                            <button mat-raised-button style="width:100px" color="primary" (click)="ValidateAndSaveUnit()">{{actionLabel}}</button>
                            <button mat-raised-button style="width:100px" color="primary" (click)="clearUnit()">Clear</button>
                      </div>    
                      <!-- <div  fxFlex="10" fxLayout="column" fxLayoutAlign="center center"  >  
                             <app-tutorial pageName="unit-roster"></app-tutorial>
                    </div> -->
                </div>
         
            </mat-card>
        </div>
        <div class="unit-edit-container">
            <mat-card>
                <div class="table-filters-header" fxLayout="column">
                    <div fxLayout="row" fxLayoutAlign="start">
                        <div class="table-top-icons" fxLayoutAlign="end" fxFlex="auto">
                            <mat-icon (click)="refreshAgGrid()" color="primary" matTooltip="Reset the filters">refresh
                            </mat-icon>
                            <mat-icon (click)="onBtExport()" color="primary" matTooltip="Export to Excel">save</mat-icon>
                        </div>
                    </div>
                </div>

                <div fxLayout="row" fxLayoutGap="5px">
                    <ag-grid-angular #agGrid id="unitsGrid" style="width: 100%" class="ag-theme-balham my-grid"
                        [columnDefs]="columnDefs" [defaultColDef]="defaultColDef" [rowData]="unitsDataObj"
                        [rowSelection]="rowSelection" [singleClickEdit]="true" [floatingFilter]="false" [animateRows]="true"
                        [gridOptions]="gridOptions" [pagination]="pagination" [paginationPageSize]="10" [context]="context"
                        [frameworkComponents]="frameworkComponents" (firstDataRendered)="onFirstDataRendered($event)"
                        (gridReady)="onGridReady($event)">
                    </ag-grid-angular>
                </div>
                <div  *ngIf="isTAD==true" fxLayout="row" fxLayoutGap="5px" >&nbsp;</div>
                <div *ngIf="isTAD==true"  class="foot-notes"> <span class="color-grade"></span>Pending Task for TAD Submission</div>
            </mat-card>

            <mat-card>
                <div *ngIf="(siteagreementPopulationId !== 0 && readonlymode !== true) || isUnitRoaster=== true  "
                    fxLayout="row" fxLayoutGap="10px" fxLayoutAlign="end">
                    <button type="button" mat-raised-button color="primary" matTooltip="Back" (click)="onUnitBackbtnclick()"
                        style="width: 50px; align-content:center;">Back</button>
                </div>
            </mat-card>
        </div>
  

    </div>
</div>